Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# GoogleMap.OnMapLongClickListener

com.google.android.gms.maps.GoogleMap.OnMapLongClickListener

## Class Overview

Callback interface for when the user long presses on the map.

Listeners will be invoked on the main thread.

## Summary

Public Methods
abstract void | onMapLongClick(LatLng point) Called when the user makes a long-press gesture on the map, but only if none of the overlays of the map handled the gesture.

## Public Methods

#### public abstract void onMapLongClick (LatLng point)

Called when the user makes a long-press gesture on the map, but only if none of the overlays of the map handled the gesture. Implementations of this method are always invoked on the main thread.

##### Parameters

point | The point on the ground (projected from the screen point) that was pressed.